org.eclipse.gmt.modisco.infra.prefuse.examples.graphview

## Class OpenGraphAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - org.eclipse.gmt.modisco.infra.prefuse.examples.graphview.OpenGraphAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

    public class OpenGraphAction
    extends javax.swing.AbstractAction

Author:
  Gabriel Barbier
See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface javax.swing.Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

### Constructor Summary

Constructors
Constructor and Description
`OpenGraphAction(GraphView view)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `actionPerformed(java.awt.event.ActionEvent e)`
`static java.lang.String` `getLabel(java.awt.Component cParam, Graph g)`

### Methods inherited from class javax.swing.AbstractAction

`addPropertyChangeListener, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpenGraphAction

    public OpenGraphAction(GraphView view)

### Method Detail

#### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

#### getLabel

    public static java.lang.String getLabel(java.awt.Component cParam,
                                            Graph g)